Bug 995581 - (CVE-2013-4751) CVE-2013-4751 php-symfony2-Validation: validation metadata serialization and loss of information
CVE-2013-4751 php-symfony2-Validation: validation metadata serialization and ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130807,repor...
: Security
Depends On: 995584 995585
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 15:00 EDT by Vincent Danen
Modified: 2013-11-15 19:24 EST (History)
1 user (show)

See Also:
Fixed In Version: Symfony 2.0.42, Symfony 2.1.12, Symfony 2.2.5, Symfony 2.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 19:24:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-08-09 15:00:25 EDT
As noted from [1]:

CVE-2013-4751: Validation metadata serialization and loss of information:

Affected versions:

All 2.0.X, 2.1.X, 2.2.X, and 2.3.X versions of the Validator component are affected by this issue.

Description:

When using the Validator component, if Symfony\\Component\\Validator\\Mapping\\Cache\\ApcCache is enabled (or any other cache implementing Symfony\\Component\\Validator\\Mapping\\Cache\\CacheInterface), some information is lost during serialization (the collectionCascaded and the collectionCascadedDeeply fields).

As a consequence, arrays or traversable objects stored in fields using the @Valid constraint are not traversed by the validator as soon as the validator configuration is loaded from the cache.

A patch is also available [2].

[1] http://symfony.com/blog/security-releases-symfony-2-0-24-2-1-12-2-2-5-and-2-3-3-released
[2] https://github.com/symfony/symfony/compare/0c0a3e90e79b63215707ae7e92193f511cc0ec77...5129d3f5d897ce876bbb22b617c1513afbc686ab.patch
Comment 1 Vincent Danen 2013-08-09 15:05:43 EDT
Created php-symfony2-Validator tracking bugs for this issue:

Affects: fedora-all [bug 995584]
Affects: epel-6 [bug 995585]
Comment 2 Fedora Update System 2013-08-20 20:02:32 EDT
php-symfony2-Validator-2.2.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-08-20 20:06:32 EDT
php-symfony2-Validator-2.2.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-08-31 15:19:17 EDT
php-symfony2-Validator-2.2.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Shawn Iwinski 2013-11-15 19:24:24 EST
Dependent bugs (bug 995584, bug 995585) closed.

Note You need to log in before you can comment on or make changes to this bug.